OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_PresentedItemRepresentation Class Reference

Added from StepVisual Rev2 to Rev4
.

`#include <StepVisual_PresentedItemRepresentation.hxx>`

## Public Member Functions
Standard_EXPORT | StepVisual_PresentedItemRepresentation ()
Standard_EXPORT void | Init (const StepVisual_PresentationRepresentationSelect &aPresentation, const Handle(StepVisual_PresentedItem)&aItem)
Standard_EXPORT void | SetPresentation (const StepVisual_PresentationRepresentationSelect &aPresentation)
Standard_EXPORT StepVisual_PresentationRepresentationSelect | Presentation () const
Standard_EXPORT void | SetItem (const Handle(StepVisual_PresentedItem)&aItem)
Standard_EXPORT Handle_StepVisual_PresentedItem | Item () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
StepVisual_PresentationRepresentationSelect | thePresentation
Handle_StepVisual_PresentedItem | theItem

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_PresentedItemRepresentation::StepVisual_PresentedItemRepresentation | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepVisual_PresentedItemRepresentation::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepVisual_PresentedItemRepresentation::Init | ( | const StepVisual_PresentationRepresentationSelect & | aPresentation,
|  | const Handle(StepVisual_PresentedItem)& | aItem
| ) |

Standard_EXPORT Handle_StepVisual_PresentedItem StepVisual_PresentedItemRepresentation::Item | ( |  | ) | const

Standard_EXPORT StepVisual_PresentationRepresentationSelect StepVisual_PresentedItemRepresentation::Presentation | ( |  | ) | const

Standard_EXPORT void StepVisual_PresentedItemRepresentation::SetItem | ( | const Handle(StepVisual_PresentedItem)& | aItem | ) |

Standard_EXPORT void StepVisual_PresentedItemRepresentation::SetPresentation | ( | const StepVisual_PresentationRepresentationSelect & | aPresentation | ) |

## Field Documentation

Handle_StepVisual_PresentedItem StepVisual_PresentedItemRepresentation::theItem`[private]`

StepVisual_PresentationRepresentationSelect StepVisual_PresentedItemRepresentation::thePresentation`[private]`

The documentation for this class was generated from the following file:

- StepVisual_PresentedItemRepresentation.hxx